TTF_DeleteTextString(3)

NAME
TTF_DeleteTextString - Delete UTF-8 text from a text object.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_DeleteTextString(TTF_Text *text, int offset, int length);

DESCRIPTION
This function may cause the internal text representation to be rebuilt.

FUNCTION PARAMETERS

text
    the TTF_Text
     to modify.

offset
    the offset, in bytes, from the beginning of the string if >= 0, the offset from the end of the string if < 0. Note that this does not do UTF-8 validation, so you should only delete at UTF-8 sequence boundaries.

length
    the length of text to delete, in bytes, or -1 for the remainder of the string.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the text.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_AppendTextString(3), •(3), TTF_InsertTextString(3), •(3), TTF_SetTextString(3)